package com.bonus.canteen.core.menu.dto;

import com.bonus.canteen.core.common.page.PageDTO;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class MenuMaterialPageDTO extends PageDTO {
   @ApiModelProperty("食材名称")
   private String materialName;
   @ApiModelProperty("类别id")
   private List<Long> categoryIdList;
   @ApiModelProperty("原料类型(1原料2商品)")
   private Integer materialType;
   @ApiModelProperty("条码")
   private String barCode;
   @ApiModelProperty("是否包含营养素(1是，其余不填)")
   private Integer ifHaveNutrition;
   @ApiModelProperty("导出字段")
   private List<String> exportCols;
   @ApiModelProperty("区域ID")
   private Long areaId;
   private List<Long> areaAuth;
   @ApiModelProperty("禁用状态 1启用 2禁用")
   private Integer disableStatus;


   public String getMaterialName() {
      return this.materialName;
   }

   public List<Long> getCategoryIdList() {
      return this.categoryIdList;
   }

   public Integer getMaterialType() {
      return this.materialType;
   }

   public String getBarCode() {
      return this.barCode;
   }

   public Integer getIfHaveNutrition() {
      return this.ifHaveNutrition;
   }

   public List<String> getExportCols() {
      return this.exportCols;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public List<Long> getAreaAuth() {
      return this.areaAuth;
   }

   public Integer getDisableStatus() {
      return this.disableStatus;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setCategoryIdList(final List<Long> categoryIdList) {
      this.categoryIdList = categoryIdList;
   }

   public void setMaterialType(final Integer materialType) {
      this.materialType = materialType;
   }

   public void setBarCode(final String barCode) {
      this.barCode = barCode;
   }

   public void setIfHaveNutrition(final Integer ifHaveNutrition) {
      this.ifHaveNutrition = ifHaveNutrition;
   }

   public void setExportCols(final List<String> exportCols) {
      this.exportCols = exportCols;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaAuth(final List<Long> areaAuth) {
      this.areaAuth = areaAuth;
   }

   public void setDisableStatus(final Integer disableStatus) {
      this.disableStatus = disableStatus;
   }

}
